/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef SCU_DEFINES_H
#define SCU_DEFINES_H

/* XML Version 0.0.6 */
#define SCU_XML_VERSION (00006)

#define FLASH1_CACHE_EN (0x1u) /*decimal 1*/

#define PLL_CON0 (0x80200578u) /*decimal 2149582200*/

#define PLL_CON1 (0x801010A0u) /*decimal 2148536480*/

#define PLL_SPCTR (0x0u) /*decimal 0*/

#define SCU_CLKCON (0x4E0u) /*decimal 1248*/

#define SCU_CLKEN (0x3u) /*decimal 3*/

#define SCU_CLKSEL (0xEu) /*decimal 14*/

#define SCU_DMACTRL (0x0u) /*decimal 0*/

#define SCU_DMAP_ADC (0x0u) /*decimal 0*/

#define SCU_DMAP_CCU7 (0x0u) /*decimal 0*/

#define SCU_DMAP_COM (0x0u) /*decimal 0*/

#define SCU_DMAP_TIM (0x0u) /*decimal 0*/

#define SCU_PLL0_EN (0x1u) /*decimal 1*/

#define SCU_PLL0_START_TIME_MS (0x2u) /*decimal 2*/

#define SCU_PLL1_EN (0x1u) /*decimal 1*/

#define SCU_PLL1_START_TIME_MS (0x2u) /*decimal 2*/

#define SCU_PMCON (0x1Fu) /*decimal 31*/

#define SCU_XTALCON (0x1000002u) /*decimal 16777218*/

#define SCU_XTAL_START_TIME_MS (0x1u) /*decimal 1*/

#define SCU_fADC1_MHz (0x3Cu) /*decimal 60*/

#define SCU_fADC2_MHz (0x3Cu) /*decimal 60*/

#define SCU_fBDRV_MHz (0x3Cu) /*decimal 60*/

#define SCU_fCAN_MHz (0x50u) /*decimal 80*/

#define SCU_fCCU7_MHz (0x3Cu) /*decimal 60*/

#define SCU_fCPU_MHz (0x3Cu) /*decimal 60*/

#define SCU_fGPT12_MHz (0x3Cu) /*decimal 60*/

#define SCU_fHP_MHz (0x28u) /*decimal 40*/

#define SCU_fMCLK_MHz (0x14u) /*decimal 20*/

#define SCU_fMI_MHz (0x14u) /*decimal 20*/

#define SCU_fPER_MHz (0x3Cu) /*decimal 60*/

#define SCU_fREFCLK_MHz (0.1)

#define SCU_fSDADC_MHz (0x3Cu) /*decimal 60*/

#define SCU_fSSC_MHz (0x3Cu) /*decimal 60*/

#define SCU_fSYS0_MHz (0x3Cu) /*decimal 60*/

#define SCU_fSYS1_MHz (0x50u) /*decimal 80*/

#define SCU_fTFILT_MHz (0x4u) /*decimal 4*/

#define SCU_fTIMER2x_MHz (0x3Cu) /*decimal 60*/

#define SCU_fUART_MHz (0x50u) /*decimal 80*/

#define SYSTEMINIT_FSWD_INIT (0x1u) /*decimal 1*/

#endif /* SCU_DEFINES_H */
