/**************************************************************************************************
*                _  _               ___             _                                             *
*               (_)| |__   _ __    / _ \ _ __ ___  | |__    /\  /\                                *
*               | || '_ \ | '__|  / /_\/| '_ ` _ \ | '_ \  / /_/ /                                *
*               | || | | || |    / /_\\ | | | | | || |_) |/ __  /                                 *
*               |_||_| |_||_|    \____/ |_| |_| |_||_.__/ \/ /_/                                  *
*                                                                                                 *
*    ihr GmbH                                                                                     *
*    Airport Boulevard B210                                                                       *
*    77836 Rheinmuenster - Germany                                                                *
*    http://www.ihr.de                                                                            *
*    Phone +49(0) 7229-18475-0                                                                    *
*    Fax   +49(0) 7229-18475-11                                                                   *
*                                                                                                 *
**************************************************************************************************/
/**
@file         can_cfg.c
@brief        CAN driver configuration
*/
#include "can_cfg.h"

#include "can_types.h"

static const stCanNodeDescriptor Can_NodeDescription[N_CAN_CHANNELS] = 
{
   {
      .HwNode = 0u,
      .TxFullCanDescr = 
      { 
         .NObjects    = 2u,
         .FirstFrmHdl = 0u
      },
      .RxFullCanDescr = 
      { 
         .NObjects    = 2u,
         .FirstFrmHdl = 0u
      },
      .NTxFifos = 0u,
      .NRxFifos = 0u,
      .TxFifoDescr = 
      {
         {
            .NObjects      = 0u,
            .FirstFrmHdl   = 0u,
            .Size          = 0u,
            .Filter        = 
            {
               .MsgId   = 0x0000u,
               .MsgMask = 0x00000000UL,
               .IdType  = 0
            }
         },
      },
      .RxFifoDescr = 
      {
         {
            .NObjects      = 0u,
            .FirstFrmHdl   = 0u,
            .Size          = 0u,
            .Filter        = 
            {
               .MsgId   = 0x0000u,
               .MsgMask = 0x00000000UL,
               .IdType  = 0
            }
         },
      },
      /* Nominal baudrate 500 kBit/s, SP = 85%  (derived from 80 MHz CAN clock) */
      .BrDiv  = 8u,
      .Tseg1Q = 16u,
      .Tseg2Q = 3u,
      .SjwQ   = 3u,

#if(CAN_SUPPORT_FD == STD_ON)
      /* Data baudrate 2000 kBit/s, SP = 85%  (derived from 80 MHz CAN clock) */
      .FDMode  = 1u,
      .DBrDiv  = 2u,
      .DTseg1Q = 16u,
      .DTseg2Q = 3u,
      .DSjwQ   = 3u,
#endif
   }
};

const stCanNodeDescriptor* Can_GetDesc_CanNodes(void)
{
   return Can_NodeDescription;
}
