/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef BLDC_DEFINES_H
#define BLDC_DEFINES_H

/* XML Version 1.1.0 */
#define BLDC_XML_VERSION (10100)

#define BLDC_HALL1_INPUT (0x1u) /*decimal 1*/

#define BLDC_HALL1_PTN1 (0x1u) /*decimal 1*/

#define BLDC_HALL1_PTN2 (0x1u) /*decimal 1*/

#define BLDC_HALL1_PTN3 (0x1u) /*decimal 1*/

#define BLDC_HALL1_PTN4 (0x0u) /*decimal 0*/

#define BLDC_HALL1_PTN5 (0x0u) /*decimal 0*/

#define BLDC_HALL1_PTN6 (0x0u) /*decimal 0*/

#define BLDC_HALL2_INPUT (0x1u) /*decimal 1*/

#define BLDC_HALL2_PTN1 (0x0u) /*decimal 0*/

#define BLDC_HALL2_PTN2 (0x0u) /*decimal 0*/

#define BLDC_HALL2_PTN3 (0x1u) /*decimal 1*/

#define BLDC_HALL2_PTN4 (0x1u) /*decimal 1*/

#define BLDC_HALL2_PTN5 (0x1u) /*decimal 1*/

#define BLDC_HALL2_PTN6 (0x0u) /*decimal 0*/

#define BLDC_HALL3_INPUT (0x1u) /*decimal 1*/

#define BLDC_HALL3_PTN1 (0x1u) /*decimal 1*/

#define BLDC_HALL3_PTN2 (0x0u) /*decimal 0*/

#define BLDC_HALL3_PTN3 (0x0u) /*decimal 0*/

#define BLDC_HALL3_PTN4 (0x0u) /*decimal 0*/

#define BLDC_HALL3_PTN5 (0x1u) /*decimal 1*/

#define BLDC_HALL3_PTN6 (0x1u) /*decimal 1*/

#define BLDC_HALL_PTN1 (0x5u) /*decimal 5*/

#define BLDC_HALL_PTN2 (0x1u) /*decimal 1*/

#define BLDC_HALL_PTN3 (0x3u) /*decimal 3*/

#define BLDC_HALL_PTN4 (0x2u) /*decimal 2*/

#define BLDC_HALL_PTN5 (0x6u) /*decimal 6*/

#define BLDC_HALL_PTN6 (0x4u) /*decimal 4*/

#define BLDC_HALL_PTN_KNOWN (0x0u) /*decimal 0*/

#define BLDC_PH1_PTN1 (0x2u) /*decimal 2*/

#define BLDC_PH1_PTN2 (0x0u) /*decimal 0*/

#define BLDC_PH1_PTN3 (0x3u) /*decimal 3*/

#define BLDC_PH1_PTN4 (0x3u) /*decimal 3*/

#define BLDC_PH1_PTN5 (0x0u) /*decimal 0*/

#define BLDC_PH1_PTN6 (0x2u) /*decimal 2*/

#define BLDC_PH2_PTN1 (0x3u) /*decimal 3*/

#define BLDC_PH2_PTN2 (0x3u) /*decimal 3*/

#define BLDC_PH2_PTN3 (0x0u) /*decimal 0*/

#define BLDC_PH2_PTN4 (0x2u) /*decimal 2*/

#define BLDC_PH2_PTN5 (0x2u) /*decimal 2*/

#define BLDC_PH2_PTN6 (0x0u) /*decimal 0*/

#define BLDC_PH3_PTN1 (0x0u) /*decimal 0*/

#define BLDC_PH3_PTN2 (0x2u) /*decimal 2*/

#define BLDC_PH3_PTN3 (0x2u) /*decimal 2*/

#define BLDC_PH3_PTN4 (0x0u) /*decimal 0*/

#define BLDC_PH3_PTN5 (0x3u) /*decimal 3*/

#define BLDC_PH3_PTN6 (0x3u) /*decimal 3*/

#define DEBUG_PORT_TOGGLE1() __NOP()

#define DEBUG_PORT_TOGGLE2() __NOP()

#define DEBUG_PORT_TOGGLE3() __NOP()

#define MCTRL_LIB_DEBUG_PORT_1 (0x0u) /*decimal 0*/

#define MCTRL_LIB_DEBUG_PORT_2 (0x0u) /*decimal 0*/

#define MCTRL_LIB_DEBUG_PORT_3 (0x0u) /*decimal 0*/

#define MCTRL_LIB_MCMOUT_PTN1 (0xEu) /*decimal 14*/

#define MCTRL_LIB_MCMOUT_PTN2 (0x2Cu) /*decimal 44*/

#define MCTRL_LIB_MCMOUT_PTN3 (0x23u) /*decimal 35*/

#define MCTRL_LIB_MCMOUT_PTN4 (0xBu) /*decimal 11*/

#define MCTRL_LIB_MCMOUT_PTN5 (0x38u) /*decimal 56*/

#define MCTRL_LIB_MCMOUT_PTN6 (0x32u) /*decimal 50*/

#define MCTRL_LIB_MCMOUT_Z (0x0u) /*decimal 0*/

#define MCTRL_LIB_MCTRL_MODE (0x1u) /*decimal 1*/

#define MCTRL_LIB_PATTERN_SEL (0x0u) /*decimal 0*/

#define MCTRL_LIB_STARTUP_DUTYCYCLE (0x1C2u) /*decimal 450*/

#define MCTRL_LIB_STARTUP_DUTYCYCLE_PERCENT (0x2Du) /*decimal 45*/

#define MCTRL_LIB_STARTUP_SPEED_END (0x1388u) /*decimal 5000*/

#define MCTRL_LIB_STARTUP_SPEED_START (0x5DCu) /*decimal 1500*/

#define MCTRL_LIB_STATIC_EN_PTN1 CCU7_setCC70AValShadow(0u)

#define MCTRL_LIB_STATIC_EN_PTN2 CCU7_setCC72AValShadow(0u)

#define MCTRL_LIB_STATIC_EN_PTN3 CCU7_setCC72AValShadow(0u)

#define MCTRL_LIB_STATIC_EN_PTN4 CCU7_setCC71AValShadow(0u)

#define MCTRL_LIB_STATIC_EN_PTN5 CCU7_setCC71AValShadow(0u)

#define MCTRL_LIB_STATIC_EN_PTN6 CCU7_setCC70AValShadow(0u)

#define MCTRL_LIB_USE_HALL (0x1u) /*decimal 1*/

#define MCTRL_LIB_USE_STEP (0x0u) /*decimal 0*/

#define MOTOR_NAME Nanotec DB42S03-KALP

#define STARTUP_RAMP (0x64u) /*decimal 100*/

#endif /* BLDC_DEFINES_H */
