/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef GPT12_DEFINES_H
#define GPT12_DEFINES_H

/* XML Version 0.1.4 */
#define GPT12_XML_VERSION (00104)

#define CAPREL_UNIT (0x0u) /*decimal 0*/

#define GPT12_CAPREL (0xFFFFu) /*decimal 65535*/

#define GPT12_PISEL (0x0u) /*decimal 0*/

#define GPT12_T2 (0xFFFFu) /*decimal 65535*/

#define GPT12_T2CON (0x0u) /*decimal 0*/

#define GPT12_T3 (0x3Au) /*decimal 58*/

#define GPT12_T3CON (0x87u) /*decimal 135*/

#define GPT12_T4 (0xFFFFu) /*decimal 65535*/

#define GPT12_T4CON (0x0u) /*decimal 0*/

#define GPT12_T5 (0xFFFFu) /*decimal 65535*/

#define GPT12_T5CON (0x0u) /*decimal 0*/

#define GPT12_T6 (0xFFFFu) /*decimal 65535*/

#define GPT12_T6CON (0x0u) /*decimal 0*/

#define T2_UNIT (0x0u) /*decimal 0*/

#define T3_UNIT (0x1u) /*decimal 1*/

#define T4_UNIT (0x1u) /*decimal 1*/

#define T5_UNIT (0x0u) /*decimal 0*/

#define T6_UNIT (0x0u) /*decimal 0*/

#define fGPT1 (7.5)

#define fGPT1_HZ (0x7270E0u) /*decimal 7500000*/

#define fGPT2 (0xFu) /*decimal 15*/

#define fGPT2_HZ (0xE4E1C0u) /*decimal 15000000*/

#endif /* GPT12_DEFINES_H */
