/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef TIMER_DEFINES_H
#define TIMER_DEFINES_H

/* XML Version 1.0.0 */
#define TIMER_XML_VERSION (10000)

#define BRANCH_COMMUTATION_TIMER (0x1u) /*decimal 1*/

#define BRANCH_HALL_TIMER (0x1u) /*decimal 1*/

#define COMMUTATION_TIMER_GET GPT12_getT3Val

#define COMMUTATION_TIMER_GET_SCALED() (uint32)(COMMUTATION_TIMER_GET()<<(COMMUTATION_TIMER_PRESCALER+2))

#define COMMUTATION_TIMER_PRESCALER GPT12->T3CON.bit.T3I

#define COMMUTATION_TIMER_SELECT (0x2u) /*decimal 2*/

#define COMMUTATION_TIMER_SET GPT12_setT3Val

#define COMMUTATION_TIMER_SET_SCALED(ticks) (COMMUTATION_TIMER_SET((uint16)(ticks>>(COMMUTATION_TIMER_PRESCALER+2))))

#define COMMUTATION_TIMER_START GPT12_startT3

#define COMMUTATION_TIMER_STOP GPT12_stopT3

#define HALL_TIMER_GET GPT12_getT4Val

#define HALL_TIMER_GET_SCALED() (uint32)(HALL_TIMER_GET()<<(HALL_TIMER_PRESCALER+2))

#define HALL_TIMER_PRESCALER GPT12->T4CON.bit.T4I

#define HALL_TIMER_SELECT (0x3u) /*decimal 3*/

#define HALL_TIMER_SET GPT12_setT4Val

#define HALL_TIMER_SET_SCALED(ticks) (HALL_TIMER_SET((uint16)(ticks>>(HALL_TIMER_PRESCALER+2))))

#define HALL_TIMER_START GPT12_startT4

#define HALL_TIMER_STOP GPT12_stopT4

#define TIMER_USAGE_GPT12E_T2 (0x0u) /*decimal 0*/

#define TIMER_USAGE_GPT12E_T3 (0x1u) /*decimal 1*/

#define TIMER_USAGE_GPT12E_T4 (0x2u) /*decimal 2*/

#define TIMER_USAGE_GPT12E_T5 (0x0u) /*decimal 0*/

#define TIMER_USAGE_GPT12E_T6 (0x0u) /*decimal 0*/

#endif /* TIMER_DEFINES_H */
