/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef DMA_DEFINES_H
#define DMA_DEFINES_H

/* XML Version 0.0.3 */
#define DMA_XML_VERSION (00003)

#define DMA_CH0_DST Enter destination reference

#define DMA_CH0_DSTEXT (0x0u) /*decimal 0*/

#define DMA_CH0_DSTINC (0x0u) /*decimal 0*/

#define DMA_CH0_DSTPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH0_EVENT_CCU7 (0x0u) /*decimal 0*/

#define DMA_CH0_EVENT_GPT12 (0x0u) /*decimal 0*/

#define DMA_CH0_EVENT_MULTICAN (0x0u) /*decimal 0*/

#define DMA_CH0_EVENT_SSC0 (0x0u) /*decimal 0*/

#define DMA_CH0_EVENT_UART0 (0x0u) /*decimal 0*/

#define DMA_CH0_MODE (0x0u) /*decimal 0*/

#define DMA_CH0_MODULE (0x0u) /*decimal 0*/

#define DMA_CH0_NBTASK (0x0u) /*decimal 0*/

#define DMA_CH0_NBTRANSFER (0x1u) /*decimal 1*/

#define DMA_CH0_SIZETRANSFER (0x0u) /*decimal 0*/

#define DMA_CH0_SRC Enter source reference

#define DMA_CH0_SRCEXT (0x0u) /*decimal 0*/

#define DMA_CH0_SRCINC (0x0u) /*decimal 0*/

#define DMA_CH0_SRCPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH0_TASKLIST Enter task list reference

#define DMA_CH1_DST Enter destination reference

#define DMA_CH1_DSTEXT (0x0u) /*decimal 0*/

#define DMA_CH1_DSTINC (0x0u) /*decimal 0*/

#define DMA_CH1_DSTPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH1_EVENT_CCU7 (0x0u) /*decimal 0*/

#define DMA_CH1_EVENT_GPT12 (0x0u) /*decimal 0*/

#define DMA_CH1_EVENT_MULTICAN (0x0u) /*decimal 0*/

#define DMA_CH1_EVENT_SSC0 (0x0u) /*decimal 0*/

#define DMA_CH1_EVENT_UART0 (0x0u) /*decimal 0*/

#define DMA_CH1_MODE (0x0u) /*decimal 0*/

#define DMA_CH1_MODULE (0x0u) /*decimal 0*/

#define DMA_CH1_NBTASK (0x0u) /*decimal 0*/

#define DMA_CH1_NBTRANSFER (0x1u) /*decimal 1*/

#define DMA_CH1_SIZETRANSFER (0x0u) /*decimal 0*/

#define DMA_CH1_SRC Enter source reference

#define DMA_CH1_SRCEXT (0x0u) /*decimal 0*/

#define DMA_CH1_SRCINC (0x0u) /*decimal 0*/

#define DMA_CH1_SRCPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH1_TASKLIST Enter task list reference

#define DMA_CH2_DST Enter destination reference

#define DMA_CH2_DSTEXT (0x0u) /*decimal 0*/

#define DMA_CH2_DSTINC (0x0u) /*decimal 0*/

#define DMA_CH2_DSTPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH2_EVENT_ADC1 (0x0u) /*decimal 0*/

#define DMA_CH2_EVENT_CCU7 (0x0u) /*decimal 0*/

#define DMA_CH2_EVENT_GPT12 (0x0u) /*decimal 0*/

#define DMA_CH2_EVENT_SDADC (0x0u) /*decimal 0*/

#define DMA_CH2_EVENT_SSC0 (0x0u) /*decimal 0*/

#define DMA_CH2_EVENT_UART0 (0x0u) /*decimal 0*/

#define DMA_CH2_MODE (0x0u) /*decimal 0*/

#define DMA_CH2_MODULE (0x0u) /*decimal 0*/

#define DMA_CH2_NBTASK (0x0u) /*decimal 0*/

#define DMA_CH2_NBTRANSFER (0x1u) /*decimal 1*/

#define DMA_CH2_SIZETRANSFER (0x0u) /*decimal 0*/

#define DMA_CH2_SRC Enter source reference

#define DMA_CH2_SRCEXT (0x0u) /*decimal 0*/

#define DMA_CH2_SRCINC (0x0u) /*decimal 0*/

#define DMA_CH2_SRCPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH2_TASKLIST Enter task list reference

#define DMA_CH3_DST Enter destination reference

#define DMA_CH3_DSTEXT (0x0u) /*decimal 0*/

#define DMA_CH3_DSTINC (0x0u) /*decimal 0*/

#define DMA_CH3_DSTPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH3_EVENT_ADC1 (0x0u) /*decimal 0*/

#define DMA_CH3_EVENT_CCU7 (0x0u) /*decimal 0*/

#define DMA_CH3_EVENT_GPT12 (0x0u) /*decimal 0*/

#define DMA_CH3_EVENT_SDADC (0x0u) /*decimal 0*/

#define DMA_CH3_EVENT_SSC0 (0x0u) /*decimal 0*/

#define DMA_CH3_EVENT_UART0 (0x0u) /*decimal 0*/

#define DMA_CH3_MODE (0x0u) /*decimal 0*/

#define DMA_CH3_MODULE (0x0u) /*decimal 0*/

#define DMA_CH3_NBTASK (0x0u) /*decimal 0*/

#define DMA_CH3_NBTRANSFER (0x1u) /*decimal 1*/

#define DMA_CH3_SIZETRANSFER (0x0u) /*decimal 0*/

#define DMA_CH3_SRC Enter source reference

#define DMA_CH3_SRCEXT (0x0u) /*decimal 0*/

#define DMA_CH3_SRCINC (0x0u) /*decimal 0*/

#define DMA_CH3_SRCPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH3_TASKLIST Enter task list reference

#define DMA_CH4_DST Enter destination reference

#define DMA_CH4_DSTEXT (0x0u) /*decimal 0*/

#define DMA_CH4_DSTINC (0x0u) /*decimal 0*/

#define DMA_CH4_DSTPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH4_EVENT_ADC1 (0x0u) /*decimal 0*/

#define DMA_CH4_EVENT_CCU7 (0x0u) /*decimal 0*/

#define DMA_CH4_EVENT_GPT12 (0x0u) /*decimal 0*/

#define DMA_CH4_EVENT_SDADC (0x0u) /*decimal 0*/

#define DMA_CH4_EVENT_SSC1 (0x0u) /*decimal 0*/

#define DMA_CH4_EVENT_UART1 (0x0u) /*decimal 0*/

#define DMA_CH4_MODE (0x0u) /*decimal 0*/

#define DMA_CH4_MODULE (0x0u) /*decimal 0*/

#define DMA_CH4_NBTASK (0x0u) /*decimal 0*/

#define DMA_CH4_NBTRANSFER (0x1u) /*decimal 1*/

#define DMA_CH4_SIZETRANSFER (0x0u) /*decimal 0*/

#define DMA_CH4_SRC Enter source reference

#define DMA_CH4_SRCEXT (0x0u) /*decimal 0*/

#define DMA_CH4_SRCINC (0x0u) /*decimal 0*/

#define DMA_CH4_SRCPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH4_TASKLIST Enter task list reference

#define DMA_CH5_DST Enter destination reference

#define DMA_CH5_DSTEXT (0x0u) /*decimal 0*/

#define DMA_CH5_DSTINC (0x0u) /*decimal 0*/

#define DMA_CH5_DSTPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH5_EVENT_ADC1 (0x0u) /*decimal 0*/

#define DMA_CH5_EVENT_CCU7 (0x0u) /*decimal 0*/

#define DMA_CH5_EVENT_GPT12 (0x0u) /*decimal 0*/

#define DMA_CH5_EVENT_SDADC (0x0u) /*decimal 0*/

#define DMA_CH5_EVENT_SSC1 (0x0u) /*decimal 0*/

#define DMA_CH5_EVENT_UART1 (0x0u) /*decimal 0*/

#define DMA_CH5_MODE (0x0u) /*decimal 0*/

#define DMA_CH5_MODULE (0x0u) /*decimal 0*/

#define DMA_CH5_NBTASK (0x0u) /*decimal 0*/

#define DMA_CH5_NBTRANSFER (0x1u) /*decimal 1*/

#define DMA_CH5_SIZETRANSFER (0x0u) /*decimal 0*/

#define DMA_CH5_SRC Enter source reference

#define DMA_CH5_SRCEXT (0x0u) /*decimal 0*/

#define DMA_CH5_SRCINC (0x0u) /*decimal 0*/

#define DMA_CH5_SRCPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH5_TASKLIST Enter task list reference

#define DMA_CH6_DST Enter destination reference

#define DMA_CH6_DSTEXT (0x0u) /*decimal 0*/

#define DMA_CH6_DSTINC (0x0u) /*decimal 0*/

#define DMA_CH6_DSTPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH6_EVENT_ADC1 (0x0u) /*decimal 0*/

#define DMA_CH6_EVENT_SDADC (0x0u) /*decimal 0*/

#define DMA_CH6_EVENT_SSC1 (0x0u) /*decimal 0*/

#define DMA_CH6_EVENT_T20 (0x0u) /*decimal 0*/

#define DMA_CH6_EVENT_UART1 (0x0u) /*decimal 0*/

#define DMA_CH6_MODE (0x0u) /*decimal 0*/

#define DMA_CH6_MODULE (0x0u) /*decimal 0*/

#define DMA_CH6_NBTASK (0x0u) /*decimal 0*/

#define DMA_CH6_NBTRANSFER (0x1u) /*decimal 1*/

#define DMA_CH6_SIZETRANSFER (0x0u) /*decimal 0*/

#define DMA_CH6_SRC Enter source reference

#define DMA_CH6_SRCEXT (0x0u) /*decimal 0*/

#define DMA_CH6_SRCINC (0x0u) /*decimal 0*/

#define DMA_CH6_SRCPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH6_TASKLIST Enter task list reference

#define DMA_CH7_DST Enter destination reference

#define DMA_CH7_DSTEXT (0x0u) /*decimal 0*/

#define DMA_CH7_DSTINC (0x0u) /*decimal 0*/

#define DMA_CH7_DSTPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH7_EVENT_ADC1 (0x0u) /*decimal 0*/

#define DMA_CH7_EVENT_SDADC (0x0u) /*decimal 0*/

#define DMA_CH7_EVENT_SSC1 (0x0u) /*decimal 0*/

#define DMA_CH7_EVENT_T21 (0x0u) /*decimal 0*/

#define DMA_CH7_EVENT_UART1 (0x0u) /*decimal 0*/

#define DMA_CH7_MODE (0x0u) /*decimal 0*/

#define DMA_CH7_MODULE (0x0u) /*decimal 0*/

#define DMA_CH7_NBTASK (0x0u) /*decimal 0*/

#define DMA_CH7_NBTRANSFER (0x1u) /*decimal 1*/

#define DMA_CH7_SIZETRANSFER (0x0u) /*decimal 0*/

#define DMA_CH7_SRC Enter source reference

#define DMA_CH7_SRCEXT (0x0u) /*decimal 0*/

#define DMA_CH7_SRCINC (0x0u) /*decimal 0*/

#define DMA_CH7_SRCPTROFFS (0x0u) /*decimal 0*/

#define DMA_CH7_TASKLIST Enter task list reference

#define DMA_DMA_CFG (0x0u) /*decimal 0*/

#define DMA_GLOBCONF_EN (0x0u) /*decimal 0*/

#endif /* DMA_DEFINES_H */
