/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef CCU7_DEFINES_H
#define CCU7_DEFINES_H

/* XML Version 0.1.4 */
#define CCU7_XML_VERSION (00104)

#define CCU7_C73SR (0x0u) /*decimal 0*/

#define CCU7_C74SR (0x0u) /*decimal 0*/

#define CCU7_C75SR (0x0u) /*decimal 0*/

#define CCU7_C76SR (0x0u) /*decimal 0*/

#define CCU7_CC70BSR (0x8CAu) /*decimal 2250*/

#define CCU7_CC70SR (0x2EEu) /*decimal 750*/

#define CCU7_CC71BSR (0x8CAu) /*decimal 2250*/

#define CCU7_CC71SR (0x5DCu) /*decimal 1500*/

#define CCU7_CC72BSR (0xA8Cu) /*decimal 2700*/

#define CCU7_CC72SR (0x12Cu) /*decimal 300*/

#define CCU7_CMPSTAT (0x6A00u) /*decimal 27136*/

#define CCU7_DT_CLK_MHz (0x3Cu) /*decimal 60*/

#define CCU7_DT_CLK_OK (0x1u) /*decimal 1*/

#define CCU7_EN (0x0u) /*decimal 0*/

#define CCU7_FCCU7 (0x3Cu) /*decimal 60*/

#define CCU7_FDIV0_CLK (0x3Cu) /*decimal 60*/

#define CCU7_FDIV1_CLK (0x3Cu) /*decimal 60*/

#define CCU7_KSCSR (0x0u) /*decimal 0*/

#define CCU7_LI (0x0u) /*decimal 0*/

#define CCU7_MAX_DT_US (4.25)

#define CCU7_MCMCTR (0x0u) /*decimal 0*/

#define CCU7_MODCTR (0x0u) /*decimal 0*/

#define CCU7_OCS (0x0u) /*decimal 0*/

#define CCU7_PISEL0 (0x0u) /*decimal 0*/

#define CCU7_PISEL2 (0x0u) /*decimal 0*/

#define CCU7_PISEL24 (0x0u) /*decimal 0*/

#define CCU7_PISEL25 (0x0u) /*decimal 0*/

#define CCU7_PISEL26 (0x0u) /*decimal 0*/

#define CCU7_PSLR (0x0u) /*decimal 0*/

#define CCU7_T12DT0_VAL (0x0u) /*decimal 0*/

#define CCU7_T12DT1_VAL (0x0u) /*decimal 0*/

#define CCU7_T12DT2_VAL (0x0u) /*decimal 0*/

#define CCU7_T12DTC (0x0u) /*decimal 0*/

#define CCU7_T12DTINSEL (0x111u) /*decimal 273*/

#define CCU7_T12MSEL (0x333u) /*decimal 819*/

#define CCU7_T12PR (0xBB7u) /*decimal 2999*/

#define CCU7_T12_CLK (0x3Cu) /*decimal 60*/

#define CCU7_T12_CLK_EDIT (0x3Cu) /*decimal 60*/

#define CCU7_T12_CLK_HZ (0x3938700u) /*decimal 60000000*/

#define CCU7_T13PR (0x3Bu) /*decimal 59*/

#define CCU7_T13_CLK (0x3Cu) /*decimal 60*/

#define CCU7_T13_CLK_EDIT (0x3Cu) /*decimal 60*/

#define CCU7_T13_CLK_HZ (0x3938700u) /*decimal 60000000*/

#define CCU7_T14PR (0x3Bu) /*decimal 59*/

#define CCU7_T14_CLK (0x3Cu) /*decimal 60*/

#define CCU7_T14_CLK_EDIT (0x3Cu) /*decimal 60*/

#define CCU7_T14_CLK_HZ (0x3938700u) /*decimal 60000000*/

#define CCU7_T15PR (0x3Bu) /*decimal 59*/

#define CCU7_T15_CLK (0x3Cu) /*decimal 60*/

#define CCU7_T15_CLK_EDIT (0x3Cu) /*decimal 60*/

#define CCU7_T15_CLK_HZ (0x3938700u) /*decimal 60000000*/

#define CCU7_T16PR (0x3Bu) /*decimal 59*/

#define CCU7_T16_CLK (0x3Cu) /*decimal 60*/

#define CCU7_T16_CLK_EDIT (0x3Cu) /*decimal 60*/

#define CCU7_T16_CLK_HZ (0x3938700u) /*decimal 60000000*/

#define CCU7_TCTR0 (0x0u) /*decimal 0*/

#define CCU7_TCTR1 (0x0u) /*decimal 0*/

#define CCU7_TCTR2 (0x0u) /*decimal 0*/

#define CCU7_TCTR24 (0x0u) /*decimal 0*/

#define CCU7_TCTR25 (0x0u) /*decimal 0*/

#define CCU7_TCTR26 (0x0u) /*decimal 0*/

#define CCU7_TRPCTR (0x0u) /*decimal 0*/

#define CCU7_T_CLK_CTRL (0x0u) /*decimal 0*/

#define CCU7_T_FDIV0 (0x0u) /*decimal 0*/

#define CCU7_T_FDIV1 (0x0u) /*decimal 0*/

#endif /* CCU7_DEFINES_H */
